Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

Dippy98

Anfänger

  • »Dippy98« ist der Autor dieses Themas

Beiträge: 5

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

1

29.09.2006, 09:20

(gelöst)fehlermeldung bei apache Installation

Hallo Ihr,

Ich hoffe ihr könnt mir weiterhelfen. Ich habe schon mehrmals versucht Oxyl auf mein NSLU zu installieren. Leider scheitert es schon beim Punkt 6 der Anleitung, wo man den "ipkg install-apache" installieren soll. Die Fehlermeldung die ich erhalte lautet. Hier mal der Link der Anleitung die ich mein: http://www.oxyl.de/wbboard/thread.php?th…25982cf1fb9e1c4

"Configuring apache
update-alternatives: Linking //opt/sbin/htpasswd to /opt/sbin/apache-htpasswd
/opt/sbin/httpd: error while loading shared libraries: liblber-2.2.so.7: cannot
open shared object file: No such file or directory
/opt/sbin/httpd: error while loading shared libraries: liblber-2.2.so.7: cannot
open shared object file: No such file or directory
postinst script returned status 127
ERROR: apache.postinst returned 127"

wenn ich jetzt mit der anleitung fortfahre kommt diese Fehlermeldung auch bei den nächsten Punkt.

Ich hoffe ihr könnt mir da helfen.

Vielen Dank schon mal.

Christian

Anzeigen

snoopy2231

Anfänger

Beiträge: 2

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

2

29.09.2006, 09:56

Installationsfehler Apache auf NSLU2

Hi Dippy98

Mit diesem Installationsfehler bist Du leider nicht alleine, ich habe dieselben Probleme. Wobei ich jedoch sagen muß, daß ich das Problem
bei meinen vor mehreren Tagen durchgeführten "Testinstallationen" nicht
hatte. Da funzte noch alles, einschließlich der Oxylbox. Heute wollte ich
das Projekt komplett neu aufziehen und habe den Unsling auf eine HD als
auch auf USB-Stick durchgeführt, was auch alles erfolgreich war.
Nur leider die Apache-Installationen gingen bei beiden Varianten in die Hose.
Da bei mir hardwaremäßig alles beim alten blieb und auch die IPKG-Optionen (update, .....) durchgeführt wurden, ist das eigentlich rätselhaft.
Könnte mir nur vorstellen, daß beim Download der Apache-Pakete etwas
schief geht bzw. diese Pakete geändert wurden.

Hoffe doch, daß hier ein Wissender im Forum ist, welcher dieses Problem
kennt oder uns vielleicht einen geistigen Anstoß zur Bewältigung des
genannten Problemes geben kann.

:confused:

LG

SNOOPY2231

Anzeigen

Dippy98

Anfänger

  • »Dippy98« ist der Autor dieses Themas

Beiträge: 5

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

3

29.09.2006, 10:15

Hallo snoopy

mensch da bin ich ja beruhigt das ich das Problem nicht alleine habe. Ich dachte das da ein Bedienfehler meinerseits vorliegt. Denn ich bin sozusagen noch ein Linux Newbie und habe noch nicht so die erfahrungen damit.

Na dann hoffen wir mal das sich einer meldet der da Abhilfe leisten kann.

Und du kannst ja hier rein posten wenns bei dir funktioniert hat. Wär super.

Bis denne Christian

trapperjohn

Fortgeschrittener

Beiträge: 558

Wohnort: Bremen

Beruf: SW-Entwickler

  • Nachricht senden

4

29.09.2006, 10:41

Ich stocher mal im dunkeln ... :

Die liblber gehört zu ldap. Da das Apache-ipkg eine Dependency zu LDAP hat, müssten die entsprechenden libs eigentlich mitinstalliert worden sein. Die Info von ipkgfind.nslu2-linux.org (wenn sie denn aktuell sind), zeigt eine Abhängigkeit zu openldap-libs 2.3.27-2 - und in dem Paket sind bspw. die Dateien
./opt/lib/liblber-2.3.so.0
enthalten.

Schaut mal bitte nach, was bei euch unter /opt/lib liegt und lber im Namen trägt.
Gruß,
Flo

Dippy98

Anfänger

  • »Dippy98« ist der Autor dieses Themas

Beiträge: 5

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

5

29.09.2006, 11:04

Hi,

hier ich hab mal nen Screen von den Ordner gemacht.



Danke schon mal für die hilfe

Christian

trapperjohn

Fortgeschrittener

Beiträge: 558

Wohnort: Bremen

Beruf: SW-Entwickler

  • Nachricht senden

6

29.09.2006, 11:16

Okay, die eigentlich passende Version von LDAP ist installiert.

Mir ist gerade aufgefallen, dass die ipkg-Datei auf dem Unslung-Mirror vom 28. September (also gestern) ist. Evtl. hat da einfach jemand Mist gebaut und entweder LDAP noch nicht aktualisiert oder ein Paket mit falschen Referenzen hochgeladen.

Ich weiß nicht, inwiefern die LDAP-Versionen untereinander kompatibel sind, du könntest probeweise einen symbolischen Link auf die Lib anlegen.

So z.B.:

Quellcode

1
ln -s /opt/lib/liblber.so /opt/lib/liblber-2.2.so.7
Ist aber eigentlich Pfusch ...
Alternativ einfach mal 2 Tage warten und dann noch mal ein ipkg update machen und hoffen, dass sich das Problem in Luft auflöst ;-)
Gruß,
Flo

snoopy2231

Anfänger

Beiträge: 2

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

7

29.09.2006, 12:22

[LEFT]Der symbolische Link funktioniert. Der Apache tanzt wieder.
Aber warten wir auf ein Update

Greetings from Austria

SNOOPY
[/LEFT]

Dippy98

Anfänger

  • »Dippy98« ist der Autor dieses Themas

Beiträge: 5

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

8

29.09.2006, 18:53

Hallo,

So das mit apache hat bei mir jetzt auch geklappt. Vielen Dank nochmal. Aber Oxyl läuft leider noch nicht.

Na denn ein schönes Wochenende
Christian

Dippy98

Anfänger

  • »Dippy98« ist der Autor dieses Themas

Beiträge: 5

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

9

29.09.2006, 20:59

Es läuft super.

Danke nochmal für die hilfe.

Social Bookmarks